.scrolling-content__viewport{
	overflow: hidden;
}
.scrolling-content__track {
	display: flex;
	white-space: nowrap;
	flex-wrap: nowrap;
	min-width: 100%;
}
.scrolling-content__item{
	display: flex;
	justify-content: center;
	align-items: center;
	flex-shrink: 0;
	gap: var(--gap-desktop);
	padding-inline-end: var(--gap-desktop);
	@media (max-width: 749px) {
		gap: var(--gap-mobile);
		padding-inline-end: var(--gap-mobile);
	}
}
.pause-on-hover:hover .animate-scroll-banner {
		animation-play-state: paused;
}

.animate-scroll-banner{
	--direction: normal;
	animation: scrollX var(--duration) linear infinite var(--direction);
}
.direction-reverse{
	--direction: reverse;
}
@keyframes scrollX{
	0%{
		transform:translateX(0%)
	}
	100%{
		transform:translateX(-100%);
	}
}
.scrolling-content__text{
	font-size: var(--desktop-font-size);
	@media (max-width: 749px) {
		font-size: var(--mobile-font-size);
	}
}
.scrolling-content__image{
	aspect-ratio: var(--aspect-ratio);
	display: block;
	object-fit: cover;
	width: var(--image-width);
	@media (max-width: 749px) {
		width: var(--image-mobile-width);
	}
}